#### 7.10.2.5 baumslagSolitar

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  baumslagSolitar(m,n,d[,IsGroup]); n an integer, m an integer, d an integer, IsGroup an optional integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - in the group case: A = a^(-1), B = b^(-1)
  - negative input is only allowed in the group case!
  - d gives a degreebound and must be >m,n
  - varying n and m produces a family of examples

Example:

    LIB "fpalgebras.lib";
    def R = baumslagSolitar(2,3,4); setring R;
    I;
    ==> I[1]=-b*a*a*a+a*a*b
    ==> I[2]=a*A-1
    ==> I[3]=b*B-1
    ==> I[4]=a*A-A*a
    ==> I[5]=b*B-B*b

User manual for Singular version 4.4.1, 2025, generated by texi2html.